// clientView.h : interface of the CClientView class
//
/////////////////////////////////////////////////////////////////////////////

class CBindStatusCallback ;

class CClientView : public CView
{
protected: // create from serialization only
	CClientView();
	DECLARE_DYNCREATE(CClientView)


// Attributes
public:
	BOOL ReallyCreateControl (void);
	void Cleanup( );
	CClientDoc* GetDocument();
	CCtrlHolder * m_pCtrlHolder ;

	CBindStatusCallback *m_pCallback ;
	IUnknown*	m_pUnknown ;
	IBindCtx*	m_pBindCtx ;
	CProgressCtrl m_Progress ;
	CString		m_StatusText ;
	CLSID m_clsid ;
	CString		m_PropName ;
	CString		m_PropVal ;


// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClientView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CClientView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CClientView)
	afx_msg void OnControlCreate();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in clientView.cpp
inline CClientDoc* CClientView::GetDocument()
   { return (CClientDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
